from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker, scoped_session

from rollbot import ModelBase


def init_db(db_file):
    engine = create_engine("sqlite:///" + db_file)
    Session = scoped_session(sessionmaker(bind=engine))
    ModelBase.metadata.create_all(engine)
    return Session
